function srt03Nyquist2

% SRT Rechnerdemo 3
% WS 2000-2001
% Klaus Schmid, 23.10.2000 / Eberhard Mnz 28.11.2001

warning off;

n=[1 1];
p=[0 -1 2];

k=evalin('base','k');

k=-k;

% bertragungsfunktion berechnen
System = zpk(n,p,k)

re=[];
im=[];

for w=0:0.03:20
   nenner=1;
   zaehler=k;
   for m=1: length(p)
      nenner=(i*w-p(m))*nenner;
   end
   for m=1:length(n)
      zaehler=(i*w-n(m))*zaehler;
   end
   
   re=[re;real(zaehler/nenner)];
   im=[im;imag(zaehler/nenner)];
   
end

if isempty(findobj('tag','srt03nyquist0'))
    fig=figure;
    set (fig,'tag','srt03nyquist0','Name',['Nyquist-Ortskurve fr k=' num2str(k)]);
else
    figure(findobj('tag','srt03nyquist0'));
end

%plot([-2;2],[0; 0],'gr');
%hold on;
%plot([0; 0],[-2; 2],'gr');
%hold on;
plot(re,im,'b');
hold on;
plot(-1,0,'+r','Linewidth',2);
hold on;
plot(-1.5,0,'w');
%axes;
grid on;
hold off;
      